image: docker:18.09.7
services:
 - docker:18.09.7-dind
variables:
 MYVAR: "default value"

stages:
 - test
 - deploy

test:
  stage: test
  script:
    - echo $MYVAR 
    # docker run hello-world
    - echo "CI_COMMIT_BEFORE_SHA=$CI_COMMIT_BEFORE_SHA"
    - env
  only:
    - merge_requests
    - /.*/

default-test:
  # Run integration tests
  image: golang:1.13.5-alpine3.11
  stage: test
  script:
    - apk add --update git
    - echo "normal stage $MYVAR"
    - echo "CI_COMMIT_BEFORE_SHA=$CI_COMMIT_BEFORE_SHA"
    - env
    - git remote show origin
    - git remote set-url --push origin git@gitlab:$CI_PROJECT_PATH
    - git remote show origin

test2:
  stage: test
  script:
    - cat test_file.txt
    - env
  only:
    - merge_requests

deploy:
  stage: deploy
  script:
    - env
